Articles of éclipse

Comment supprimer l’erreur «Appel requirejs le niveau API»?

J’obtiens cette erreur dans Eclipse: l’appel nécessite le niveau 14 de l’API (le min actuel est 8): android.app.ActionBar # setHomeButtonEnabled C’est du code: if(android.os.Build.VERSION.SDK_INT>=14) { getActionBar().setHomeButtonEnabled(false); } Dans le manifeste: Comment supprimer cette erreur?

Changer les variables en temps réel lors du débogage en éclipse?

En utilisant Eclipse, lors du débogage, il est possible de modifier la valeur des variables lors de l’exécution d’un projet à des fins de test. Par exemple, disons que j’ai une méthode qui renvoie le nombre 5, mais à des fins de test, je veux plutôt sortir 10. Ce n’est pas le problème auquel je […]

Comment inclure un fichier de configuration dans le dossier «META-INF / services» d’un JAR utilisant Maven

Je travaille sur un projet Java dans Eclipse, qui utilise Maven. J’utilise du code recyclé d’un ancien projet, et l’une de ces classes recherche un fichier dans le dossier “META-INF / services” du JAR avec un nom particulier, puis parsing le texte de ce fichier. Dans cet exemple particulier, il recherche un fichier portant le […]

Comment réparer l’erreur de locking de Subversion

Comment réparer l’erreur Subversion / Subclipse “Tentative de verrouiller un répertoire déjà verrouillé”? Googling montre que les utilisateurs rencontrent régulièrement cette erreur, et la seule solution que j’ai vu est de lancer la commande Team-> Cleanup de Subclipse. Malheureusement, je reçois cette erreur lorsque je lance la commande Team-> Cleanup. Il y a-t-il des alternatives?

Tomcat Server ne commence pas dans 45 secondes

Server Tomcat v7.0 Server sur localhost n’a pas pu démarrer dans les 101 secondes. Si le serveur nécessite plus de temps, essayez d’augmenter le délai d’attente dans l’éditeur de serveur. C’est mon erreur. J’ai cherché beaucoup mais je ne peux pas trouver une solution pour cela aidez-moi s’il vous plaît quelqu’un j’ai changé le temps […]

Le serveur ADB ne reconnaît pas

Je ne pouvais pas exécuter l’application Android jamais sur mon ordinateur portable. Eclipse donne constamment la même erreur, c’est-à-dire que “le serveur ADB n’a pas reconnu” J’ai tout essayé, redémarrez adb depuis la vue ddms, depuis la ligne de commande (kill-server, start-server), depuis le gestionnaire de tâches et redémarrez eclipse. Lorsque je parviens à démarrer […]

Comment importez-vous un projet Eclipse dans Android Studio maintenant?

Utiliser “Import Project” dans Android Studio pour un projet Eclipse utilisé pour modifier la structure du projet et générer des fichiers Gradle, mais maintenant (j’utilise AS 0.5.3), il ne génère que des fichiers IDEA (.iml, .idea) mais pas Gradle et il ne touche pas non plus la structure des fichiers. Comment importez-vous un projet Eclipse […]

Comment puis-je modifier la hauteur de la ligne / l’interligne dans Eclipse?

J’utilise Eclipse pour la programmation Java mais les lignes dans l’éditeur sont trop proches les unes des autres. Je veux changer l’espacement / l’espace entre les lignes. Existe-t-il une option dans Eclipse que je peux utiliser pour cela?

Comment empêcher Eclipse d’essayer d’exécuter des fichiers XML?

J’utilise principalement Eclipse pour le développement Android ces jours-ci, et j’ai développé une bonne mémoire musculaire pour Ctrl-F11 pour exécuter mon application. Le problème est que si j’édite un fichier XML (comme un manifeste ou une mise en page) lorsque j’appuie sur cette combinaison de touches, Eclipse fait quelque chose que je trouve impénétrable … […]

Comment changer la version de JDK pour un projet Eclipse

Je dois écrire un projet compatible uniquement avec Java 1.5. J’ai Java 1.6 installé. Existe-t-il une forme de compatibilité ascendante pour que Eclipse comstack avec 1.5? Dois-je installer Java 1.5 pour le faire apparaître ici? Ou peut-être y a-t-il une autre façon? .